xn::ModuleAlternativeViewPointInterface Class Referenceabstract

`#include <XnModuleCppInterface.h>`

## Public Member Functions

virtual | ~ModuleAlternativeViewPointInterface ()
virtual XnBool | IsViewPointSupported (ProductionNode &other)=0
virtual XnStatus | SetViewPoint (ProductionNode &other)=0
virtual XnBool | IsViewPointAs (ProductionNode &other)=0
virtual XnStatus | ResetViewPoint ()=0
virtual XnStatus | RegisterToViewPointChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromViewPointChange (XnCallbackHandle hCallback)=0

## Constructor & Destructor Documentation

## ~ModuleAlternativeViewPointInterface()

virtual xn::ModuleAlternativeViewPointInterface::~ModuleAlternativeViewPointInterface | ( |  | ) |

inline virtual

## Member Function Documentation

## IsViewPointAs()

virtual XnBool xn::ModuleAlternativeViewPointInterface::IsViewPointAs | ( | ProductionNode & | other | ) |

pure virtual

## IsViewPointSupported()

virtual XnBool xn::ModuleAlternativeViewPointInterface::IsViewPointSupported | ( | ProductionNode & | other | ) |

pure virtual

## RegisterToViewPointChange()

virtual XnStatus xn::ModuleAlternativeViewPointInterface::RegisterToViewPointChange | ( | XnModuleStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## ResetViewPoint()

virtual XnStatus xn::ModuleAlternativeViewPointInterface::ResetViewPoint | ( |  | ) |

pure virtual

## SetViewPoint()

virtual XnStatus xn::ModuleAlternativeViewPointInterface::SetViewPoint | ( | ProductionNode & | other | ) |

pure virtual

## UnregisterFromViewPointChange()

virtual void xn::ModuleAlternativeViewPointInterface::UnregisterFromViewPointChange | ( | XnCallbackHandle | hCallback | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h